+ Responder ao Tópico



  1. #1

    Padrão Atualizar de php4 para o php5 no apache 1.3.37

    Pessoal...eu to com o fedora core 6 e gostaria de saber como eu faço para Atualizar de php4 para o php5 no apache 1.3.37
    Eu acho que o php nao foi instalado via pacote rpm (tem como eu ver todos os pacotes instalados via rpm?)...

    se eu atualizar para o php5 via rpm, pode dar algum problema?
    E eu gostaria de manter o php com a mesma configuração
    Abraços,
    T+

  2. #2

    Padrão

    Citação Postado originalmente por Vaza Ver Post
    Pessoal...eu to com o fedora core 6 e gostaria de saber como eu faço para Atualizar de php4 para o php5 no apache 1.3.37
    Nunca usei rpm, mas vc pode instalar o php5 de qualquer forma, só precisa observar onde será gerado o libphp5.so, e editar o httpd.conf com o caminho correto do módulo, e comentar o módulo do php4.

    Citação Postado originalmente por Vaza Ver Post
    Eu acho que o php nao foi instalado via pacote rpm (tem como eu ver todos os pacotes instalados via rpm?)...
    rpm -qa

    Falow



  3. #3

    Padrão

    Kra so tome cuidado com codigos PHP q usam alguma função expecifica da versão 4, pois qd vc atualizar para o 5 esses códigos não hão de funcionar, eu falo isso pq eu tive problema com um webmail por exemplo q usava funções expecíficas da versão 4 aí foi a mió cancera corrigi, no mais foi tranquilo.